This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 190066 - Review Request: php-pear-Mail
Review Request: php-pear-Mail
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
: Reopened
Depends On: 190252
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-27 05:37 EDT by Remi Collet
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-27 04:16:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑cvs+


Attachments (Terms of Use)
New install system (1.64 KB, patch)
2006-04-28 07:18 EDT, Aurelien Bompard
no flags Details | Diff

  None (edit)
Description Remi Collet 2006-04-27 05:37:47 EDT
Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-Mail.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-Mail-1.1.10-1.fc5.src.rpm
Description: 
PEAR's Mail package defines an interface for implementing mailers under
the PEAR hierarchy.  It also provides supporting functions useful to
multiple mailer backends.  Currently supported backends include: PHP's
native mail() function, sendmail, and SMTP.  This package also provides
a RFC822 email address list validation utility class.

------
One important thing is that this extension  (as HTML, Net_SMTP, Net_Socket and XML_Parser) was included until php-5.0.4 in FC4. So it's needed for backward compatibility of Fedora Core >= 5.

I'll will wait for feddback for this extension but spec for the others are ready.

Remi.
Comment 1 Andreas Thienemann 2006-04-27 19:42:34 EDT
(In reply to comment #0)

> One important thing is that this extension  (as HTML, Net_SMTP, Net_Socket and
XML_Parser) was included until php-5.0.4 in FC4. So it's needed for backward
compatibility of Fedora Core >= 5.

Are you certain about this? The php Package in core does include the mail()
function, but AFAIK it never included pear-mail.
Comment 2 Remi Collet 2006-04-28 04:11:35 EDT
Yes, i'm quite sure.

# rpm -qlp php-5.0.4-10.5.src.rpm | grep gz$
DB-1.7.6.tgz
HTTP-1.3.5.tgz
Mail-1.1.4.tgz
Net_SMTP-1.2.6.tgz
Net_Socket-1.0.6.tgz
XML_Parser-1.2.6.tgz
XML_RPC-1.4.0.tgz
php-5.0.4.tar.gz
Comment 3 Aurelien Bompard 2006-04-28 07:16:45 EDT
Needs work:
* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)
* The package cannot be noarch since it installs files to %{_libdir} (which is
/usr/lib64 on x86_64)
* Build section is useless, you can safely remove it
* The test dir for PEAR packages is called "test", not "tests" (in /usr/share/pear/)
* Build failed in mock with this message: 
install ok: channel://pear.php.net/Mail-1.1.10
PHP Fatal error:  Call to a member function setConfig() on a non-object in
/usr/share/pear/PEAR/Command/Install.php on line 546
error: Bad exit status from /var/tmp/rpm-tmp.10675 (%install)

I propose to install the files without the pear tool, by just copying them. It
should make it much easier to debug. Incoming patch...
Comment 4 Aurelien Bompard 2006-04-28 07:18:29 EDT
Created attachment 128357 [details]
New install system
Comment 5 Remi Collet 2006-04-28 17:49:55 EDT
I'm quite confused by the %{_libdir} problem because I follow Joe Orton & Tim
Jackson work on Bug #176733 (for php-pear-DB).

For the install problem, i only have to substitue the --packagingroot option
(which work with pear >= 1.4.8) by -R (for pear = 1.4.6)
Comment 6 Aurelien Bompard 2006-04-28 18:27:20 EDT
> I'm quite confused by the %{_libdir} problem because I follow Joe Orton & Tim
> Jackson work on Bug #176733 (for php-pear-DB).

Well, %_libdir is different on AMD64 and on x86 & PPC. If you build your package
as noarch, only one package will be build for all archs. Say the package was
built on an AMD64 host: il will install the xml file in /usr/lib64/php/pear. If
this package is installed on an x86 machine, the lib64 path will not be searched
and the file will not be found.
 
> For the install problem, i only have to substitue the --packagingroot option
> (which work with pear >= 1.4.8) by -R (for pear = 1.4.6)

Do as you want, you'll be maintaining it in the end. But just copying the files
looked like the KISS way to me.
Comment 7 Remi Collet 2006-04-29 06:17:17 EDT
I've opened Bug #190252 against PHP whch own %{_libdir]/php/pear about this.
Comment 8 Remi Collet 2006-05-06 13:34:24 EDT
New spec and SRPM using %{_datadir}/pear/.pkgxml

Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-Mail.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-Mail-1.1.10-2.fc5.src.rpm

Build succed with mock.
Comment 9 Aurelien Bompard 2006-05-08 07:11:06 EDT
The PHP package uses "The PHP License" in the License tag, please do the same
(avoids one rpmlint error)

Detail: in %install there is a php error message (it's just a notice, but there
might be a real problem beneath): Notice: Undefined variable: php_dir in
PEAR/Installer.php on line 1160 and 1161

Otherwise, it looks good to me. We'll have to wait until bug 190252 is fixed to
publish it of course.
Comment 10 Remi Collet 2006-05-08 13:29:31 EDT
I've change to "PHP License" which is listed in the DEFAULT_VALID_LICENSES
(/usr/share/rpmlint/TagsCheck.py), but rpmlint still complain (i've tried a lot
of others solutions, i really don't understand, rpmlint seems to use another
list not including PHP License)?

Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-Mail.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-Mail-1.1.10-3.fc5.src.rpm

Bug #183359 brings php-1.4.9 in Rawhide and solve the %install warning (really
great) and the "%postun" error on some other package (php-pear-Log and
php-pear-Net-SMTP).

php-1.4.9 own the %{_datadir}/pear/.pkgxml

So i think(hope) this package is ready for extras.
As some others : #190007, #190101, #190156, #190956, #190957, #190958

I keep using -R (instead of --packagingroot) to have compatibility with
php-pear-1.4.6. For packages where --packagingroot is mandatory
(php-pear-PEAR-Command-Packaging, #185423) a 
BuildRequires: php-pear(PEAR) > 1.4.7 
have to be add to the spec. (the "Sanity check" i put in the spec detect that case).
Comment 11 Aurelien Bompard 2006-05-08 14:38:51 EDT
> I've change to "PHP License" which is listed in the DEFAULT_VALID_LICENSES
> (/usr/share/rpmlint/TagsCheck.py), but rpmlint still complain

This file is overriden by /usr/share/rpmlint/config which lacks the PHP License.
I've opened a bug to add it, see bug 191078. This is not a blocker of course.

I'm waiting for the php package update to be published to test and approve this
 package, since it is dependant on it. Afterwards, I'll sponsor you.
Comment 12 Remi Collet 2006-05-10 12:53:20 EDT
Bug #190252 has been affected to php-pear (instead of php)

php-pear-1.4.9 is available in rawhide and in FC5 testing.

Extract from mock/build.log
=============================================================================
Installing:
 php-pear                noarch     1:1.4.9-2        core              357 k
Comment 13 Aurelien Bompard 2006-05-14 12:22:22 EDT
If you need php-pear >= 1:1.4.9 (for the .pkgxml dir), you need to reflect that
in the Requires tag.
Everything else looks OK.
Comment 14 Remi Collet 2006-05-15 14:02:47 EDT
Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-Mail.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-Mail-1.1.10-4.fc5.src.rpm
Mock root.log : http://remi.collet.free.fr/rpms/extras/php-pear-Mail-root.log
Mock build.log : http://remi.collet.free.fr/rpms/extras/php-pear-Mail-build.log

- Require php-pear(PEAR) >= 1.4.9 (no epoch on classname, only on package)
- Requires(hint): php-pear(Net_SMTP) >= 1.1.0 (only comment actually)
- bundle the v3.01 PHP LICENSE file (as php-pear package)
- use --packagingroot (instead of -R, as it work with php-pear 1.4.9)
- %check (move sanity check from %install to %check, as in php-pear)

Comment 15 Aurelien Bompard 2006-05-19 17:16:01 EDT
Review for release 4:
* RPM name is OK
* Source Mail-1.1.10.tgz is the same as upstream
* rpmlint looks OK
* File list looks OK
* Works fine
APPROVED
Comment 16 Remi Collet 2007-03-31 04:25:35 EDT
Package Change Request
======================
Package Name: php-pear-Mail
New Branches: EL-5
Comment 17 Jens Petersen 2007-04-02 08:39:24 EDT
done

Note You need to log in before you can comment on or make changes to this bug.